@echo off

REM Welcome===================================================
REM ==========================================================

REM Welcome to OEM11.bat
REM Version 2.0
REM Last Changed: Apr 6, 2003
REM Microsoft Office version 11
REM
REM See bottom of file for usage info etc.

if not "%1"=="" goto USAGE
if not "%2"=="" goto USAGE

REM Customize OEM11.bat for current product===================
REM ==========================================================

REM REQUIRED! Enter the Key Name corresponding to the ProductCode for the SKU to rollback.
REM This value can be found under the following registry key (Key Name includes curly braces and dashes):
REM HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\11.0\Registration\
REM Example: __ProductCode={12345678-1234-1234-1234-1234567890AB}
rem set __ProductCode={73958-641-2468503-57193}
set __ProductCode={9011040C-6000-11D3-8CFE-0150048383C9}

REM REQUIRED! Enter the Key Name corresponding to the PackedProductCode for the SKU to rollback.
REM This value can be found under the following registry key (Key Name rearranges each number element, and removes dashes and curly braces.):
REM HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Products
REM Example (corresponding to above): __PackedProductCode=876543214321432121432143658709BA
set __PackedProductCode=C040110900063D11C8EF10054038389C

REM Another example:
REM   __ProductCode={12345678-ABCD-EFGH-JKLM-NPQRSTUVWXYZ}
REM   __PackedProductCode=87654321DCBAHGFEKJMLPNRQTSVUXWZY
REM Note: actual ProductCodeS will have only hexadecimal characters 0->9 and A->F.

REM REQUIRED! Enter the new Source Path; this will usually be the root folder of the first CD/DVD drive.
REM Example: __NewSourcePath=D:\
set __NewSourcePath=e:\

REM set __<app>=1 (no spaces) for apps in the product.
set __WORD=
set __EXCEL=
set __OUTLOOK=
set __ACCESS=
set __FRONTPAGE=
set __POWERPOINT=
set __PUBLISHER=
set __INFOPATH=
set __ONENOTE=
set __INTERCONNECT=

REM User Information==========================================
REM ==========================================================

REM these are written to the HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Common\UserInfo key
set __Company=passeport formation
set __UserName=
set __UserInitials=

REM 1 ================================================
REM ==========================================================

REM Reset sourcelist for all Network sources and LastUse source
REM assume srclist.exe in the same directory, and will bypass the rest of the operation
REM if srclist.exe failed
rem srclist.exe %__ProductCode% %__NewSourcePath%
rem if errorlevel 1 goto END

REM 2 ================================================
REM ==========================================================
REM Start generating oem11.reg file

REM Turn off Audit Mode
set __REGFILE=oem11.reg
echo REGEDIT4>%__REGFILE%
echo.>>%__REGFILE%
echo ; ===================================>>%__REGFILE%
echo ; >>%__REGFILE%
echo ; Turn off Audit mode flag>>%__REGFILE%
echo ; ===================================>>%__REGFILE%
echo.>>%__REGFILE%
echo ; Office 11 Audit mode key>>%__REGFILE%
echo [HKEY_LOCAL_MACHINE\Software\Microsoft\Office\11.0\Common\General]>>%__REGFILE%
echo "AuditMode"=->>%__REGFILE%
echo.>>%__REGFILE%

REM 3 ================================================
REM ==========================================================
REM Continue generating oem11.reg file

REM Office FirstRun
echo ; ===================================>>%__REGFILE%
echo ; >>%__REGFILE%
echo ; clear all application FirstRun data>>%__REGFILE%
echo ; ===================================>>%__REGFILE%
echo.>>%__REGFILE%
echo ; msoridOfficeFirstRun in keyCUOfficeGeneral>>%__REGFILE%
echo ; Comments   : Determines if Office First Run has occurred yet.>>%__REGFILE%
echo.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Common\General]>>%__REGFILE%
echo "FirstRun"=->>%__REGFILE%

REM Powerpoint FirstRun
if not "%__POWERPOINT%"=="1" goto SKIP_POWERPOINT
echo.>>%__REGFILE%
echo ; msoridPowerPointFirstRun in keyCUPowerPointFirstRun>>%__REGFILE%
echo ; Comments   : Determines if PowerPoint First Run has occurred yet.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\PowerPoint\First Run]>>%__REGFILE%
echo "FirstRun"=->>%__REGFILE%
:SKIP_POWERPOINT

REM Excel FirstRun
if not "%__EXCEL%"=="1" goto SKIP_EXCEL
echo.>>%__REGFILE%
echo ; msoridExcelFirstRun in keyCUExcelOptions>>%__REGFILE%
echo ; Comments   : Determines if Excel first run has occurred yet.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Excel\Options]>>%__REGFILE%
echo "FirstRun"=->>%__REGFILE%
:SKIP_EXCEL

REM Outlook FirstRun
if not "%__OUTLOOK%"=="1" goto SKIP_OUTLOOK
echo.>>%__REGFILE%
echo ; msoridLMOutlookFirstRun in keyLMOutlookSetup>>%__REGFILE%
echo ; Comments   : Specifies machine UUID.>>%__REGFILE%
echo [HKEY_LOCAL_MACHINE\Software\Microsoft\Office\11.0\Outlook\Setup]>>%__REGFILE%
echo "First-Run"=->>%__REGFILE%
echo.>>%__REGFILE%
echo ; msoridCUOutlookFirstRun in keyCUOutlookSetup>>%__REGFILE%
echo ; Comments   : Specifies machine UUID.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Outlook\Setup]>>%__REGFILE%
echo "First-Run"=->>%__REGFILE%
echo.>>%__REGFILE%
echo ; msoridOutlookFirstRunDialog in keyCUOutlook>>%__REGFILE%
echo ; Comments   : FirstRunDialog>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Outlook]>>%__REGFILE%
echo "FirstRunDialog"=->>%__REGFILE%
echo.>>%__REGFILE%
echo ; msoridOutlookFirstRun in keyCUOutlook8>>%__REGFILE%
echo ; Comments   : First-Run>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\8.0\Outlook]>>%__REGFILE%
echo "First-Run"=->>%__REGFILE%
:SKIP_OUTLOOK

REM Word FirstRun
if not "%__WORD%"=="1" goto SKIP_WORD
echo.>>%__REGFILE%
echo ; msoridWordFirstRun in keyCUWordOptions>>%__REGFILE%
echo ; IgnoreSafe : No>>%__REGFILE%
echo ; Comments   : Determines if Word first run has occured yet.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Word\Options]>>%__REGFILE%
echo "FirstRun"=->>%__REGFILE%
:SKIP_WORD

REM Publisher FirstRun
if not "%__PUBLISHER%"=="1" goto SKIP_PUBLISHER
echo.>>%__REGFILE%
echo ; msoridPublisherUserFirstRun in keyCUPublisherUserFirstRun>>%__REGFILE%
echo ; IgnoreSafe : No>>%__REGFILE%
echo ; Comments   : Used by Microsoft Publisher.>>%__REGFILE%
echo [-HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Publisher\FirstRun]>>%__REGFILE%
:SKIP_PUBLISHER

REM Access FirstRun
if not "%__ACCESS%"=="1" goto SKIP_ACCESS
echo.>>%__REGFILE%
echo ; Access migration key>>%__REGFILE%
echo ; IgnoreSafe : No>>%__REGFILE%
echo ; Comments   : Used by Microsoft Access.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Access\Settings]>>%__REGFILE%
echo "Prefs Migrated"=->>%__REGFILE%
:SKIP_ACCESS

REM InfoPath FirstRun
if not "%__INFOPATH%"=="1" goto SKIP_INFOPATH
echo.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\InfoPath]>>%__REGFILE%
echo "FirstBoot"=->>%__REGFILE%
:SKIP_INFOPATH

REM OneNote FirstRun
if not "%__ONENOTE%"=="1" goto SKIP_ONENOTE
echo.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\OneNote]>>%__REGFILE%
echo "FirstBoot"=->>%__REGFILE%
:SKIP_ONENOTE

REM InterConnect FirstRun
if not "%__INTERCONNECT%"=="1" goto SKIP_INTERCONNECT
echo.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\InterConnect\General]>>%__REGFILE%
echo "FirstRun"=->>%__REGFILE%
:SKIP_INTERCONNECT

echo.>>%__REGFILE%
echo.>>%__REGFILE%

REM 4 ================================================
REM ==========================================================
REM Continue generating oem11.reg file

REM customization and userInfo
echo ; ===================================>>%__REGFILE%
echo ; >>%__REGFILE%
echo ; user info>>%__REGFILE%
echo ; ===================================>>%__REGFILE%
echo ; All the userinfo>>%__REGFILE%
echo [-HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Common\UserInfo]>>%__REGFILE%
echo.>>%__REGFILE%
echo [HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Common\UserInfo]>>%__REGFILE%
addbinrg "Company" "%__Company%">>%__REGFILE%
addbinrg "UserName" "%__UserName%">>%__REGFILE%
addbinrg "UserInitials" "%__UserInitials%">>%__REGFILE%
echo.>>%__REGFILE%

REM 5 ================================================
REM ==========================================================
REM Continue generating oem11.reg file
REM Clear ProductID and DigitalProductID

echo ; ===================================>>%__REGFILE%
echo.>>%__REGFILE%
echo [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Products\%__PackedProductCode%\InstallProperties]>>%__REGFILE%
echo "ProductID"=->>%__REGFILE%
echo "RegOwner"=->>%__REGFILE%
echo "RegCompany"=->>%__REGFILE%
echo.>>%__REGFILE%

echo ; productid/digital productid registration>>%__REGFILE%
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\11.0\Registration\%__ProductCode%]>>%__REGFILE%
echo.>>%__REGFILE%

REM 6 ================================================
REM ==========================================================
REM Continue generating oem11.reg file

REM EULA at FirstRun
echo ; Set flag to show EULA at FirstRun>>%__REGFILE%
echo [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\11.0\Common\General]>>%__REGFILE%
echo "OEM"=dword:00000001>>%__REGFILE%

REM ================================================
REM ==========================================================
REM Run the .reg file
regedit.exe /s %__REGFILE%
if exist "%__REGFILE%" del "%__REGFILE%"
echo Succeeded.
goto END



REM ================================================
REM ==========================================================
:USAGE
echo Usage: location\oem11.bat
echo.

echo Welcome to OEM11.bat
echo Version 2.0
echo Microsoft Office version 11
echo -
echo After OEM installation and testing on Windows 2000 or WindowsXP, 
echo run this batch file to return the computer to a state appropriate 
echo for end-user use.
echo
echo What does this batch file (OEM11.bat) do?:
echo 1) Sets the installation source list to point to a CD source instead of the original OEM installation source. 
echo 2) Turns off the Audit Mode testing flag to return the installation to normal user mode. 	
echo 3) Clears all the Office application FirstRun data to ensure that end-user gets appropriate out-of-box-experience.
echo 4) Allows for some post-install customizations like changing COMPANYNAME, USERNAME, USERINITIALS, RegOwner, and RegCompany.   
echo 5) Rolls back ProductID value from installation or Audit Mode testing on Win2k or WinXP.
echo 6) Sets the flag to ensure that the appropriate End-user License Agreement is presented at FirstRun.
echo 7) Clears the EULA and other "SKU Reduction" data from the registry.
echo.

:END

REM Cleanup ==================================================
REM ==========================================================
REM do NOT add values to these environment variable lines
set __WORD=
set __EXCEL=
set __OUTLOOK=
set __ACCESS=
set __FRONTPAGE=
set __POWERPOINT=
set __PUBLISHER=
set __INFOPATH=
set __ONENOTE=
set __INTERCONNECT=
set __ProductCode=
set __PackedProductCode=
set __NewSourcePath=
set __REGFILE=

pause
